***************************************
** JJ Created 28 / 05 / 2014 **********
***************************************

*************************************************************
** This is the master do-file for the PSID analysis *
** It runs all the subsequent do-files *
*************************************************************


******************************************************
* ---- STEP 1 - THE MASTER DO-FILE ------------------*
* ---- Runs all analysis ----------------------------*
******************************************************
*cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
*do MASTER




******************************************************
* ---- STEP 2 - RECODE OFFSPRING --------------------*
* ---- Recodes the key variables for sons -----------*
******************************************************
cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
do Recode_Variables_Offspring_FINAL



******************************************************
* ---- STEP 3 - RECODE FATHER -----------------------*
* ---- Recodes the key variables for fathers --------*
******************************************************
cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
do Recode_Variables_Father_FINAL



******************************************************
* ---- STEP 4 - PERFORM MERGE -----------------------*
* ---- Merges father and son data -------------------*
* ---- "MAIN" dataset then has been created ---------*
******************************************************
cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
do Perform_Merge_FINAL



******************************************************
* ---- STEP 5 - CREATE AUXILIARY DATASET ------------*
* ---- Randomly resamples ---------------------------*
* ---- "AUXILIARY" dataset then has been created ----*
******************************************************
cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
do Create_Auxilliary_Dataset_FINAL



******************************************************
* ---- STEP 6 - CREATE IMPUTED EARNINGS -------------*
* ---- Applies TSTSLS to create imputed earnings ----*
* ---- "AUXILIARY" dataset then has been created ----*
******************************************************
cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
*do Create_Income_Predictions
do Create_Income_Predictions_Age_Dummies_FINAL										/*** Alternative where age dummies used for parental age ***/


******************************************************
* ---- STEP 7 - PERFORM ANALYSIS --------------------*
* ---- Creates various mobility estimates -----------*
******************************************************
cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
do Analysis_FINAL


******************************************************
* ---- STEP 8 - CROSS-TABS --------------------------*
* ---- Cross-tabulates father and son reports --------*
******************************************************
cd "C:\Users\john\Pictures\STATA_VERSION_9\PSID\DATA1"
do Cross_Tabs


******************************************************
* ---- STEP 9 - Do decompositions: TABLE 6 ----------*
* ---- Creates various mobility estimates -----------*
******************************************************
cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
do DECOMPOSITION_TABLE_5

******************************************************
* ---- STEP 10 - Do decompositions: TABLE 9 ---------*
* ---- Creates various mobility estimates -----------*
******************************************************
cd "C:\Users\john\OneDrive\Documents\TSTSLS\FINAL_MARCH_2016\Do_Files"
do DECOMPOSITION_TABLE_9




/*
******************************************************
* ---- STEP 9 - SAMPLE SIZE ANALYSIS ----------------*
* ---- How results change with sample size ----------*
******************************************************
cd "C:\Users\john\Pictures\STATA_VERSION_9\PSID\DATA1"
do Sample_Size_Analysis
*/








